#include <linux/kernel.h>
#include <linux/module.h>
#include <linux/fs.h>
#include <asm/uaccess.h>	

int init_module(void);
void cleanup_module(void);

int init_module(void)
{
	printk(KERN_INFO "Hello world in kernel space.\n");

	return 0;
}

void cleanup_module(void)
{
	printk(KERN_INFO "Unloading module.\n");
}

MODULE_LICENSE("GPL");
MODULE_DESCRIPTION("Empty module");
